package com.diagbot.mapper;

import com.diagbot.entity.MedManagementInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.entity.FilterRecordVO;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 病案管理人员表 Mapper 接口
 * </p>
 *
 * @author zhanghang
 * @since 2021-03-25
 */
public interface MedManagementInfoMapper extends BaseMapper<MedManagementInfo> {
    List<Map<String, Object>> medicalRecordIndicator(@Param("filterRecordVO") FilterRecordVO filterRecordVO, @Param("start") LocalDateTime start, @Param("end") LocalDateTime end);
}
